function TaxEx(rate)
{
	return 1 / (1 + (rate / 100));
}

function GetTimeHour(date)
{
	var hour = date.getHours();
	if(hour > 12)
	{
		hour = hour - 12;
	}
	if(hour == 0)
	{
		hour = 12;
	}
	return hour
}

function GetTimeAMPM(date)
{
	var ap = "am";
	var hour = date.getHours();
	if(hour > 11)
	{
		ap = "pm";
	}
	return ap;
}

Date.prototype.addHours = function(h)
{
	this.setTime(this.getTime() + (h * 60 * 60 * 1000));
	return this;
}

function replaceWordChars(text)
{
    var s = text;
    // smart single quotes and apostrophe
    s = s.replace(/[\u2018\u2019\u201A]/g, "\'");
    // smart double quotes
    s = s.replace(/[\u201C\u201D\u201E]/g, "\"");
    // ellipsis
    s = s.replace(/\u2026/g, "...");
    // dashes
    s = s.replace(/[\u2013\u2014]/g, "-");
    // circumflex
    s = s.replace(/\u02C6/g, "^");
    // open angle bracket
    s = s.replace(/\u2039/g, "<");
    // close angle bracket
    s = s.replace(/\u203A/g, ">");
    // spaces
    s = s.replace(/[\u02DC\u00A0]/g, " ");
    
    return s;
}